org.apache.xmlbeans.impl.xb.substwsdl

## Interface TImport

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  TImportImpl

    public interface TImport
    extends XmlObject

An XML TImport(@http://www.apache.org/internal/xmlbeans/wsdlsubst). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<TImport>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLocation()` Gets the "location" attribute
`String` `getNamespace()` Gets the "namespace" attribute
`void` `setLocation(String location)` Sets the "location" attribute
`void` `setNamespace(String namespace)` Sets the "namespace" attribute
`XmlAnyURI` `xgetLocation()` Gets (as xml) the "location" attribute
`XmlAnyURI` `xgetNamespace()` Gets (as xml) the "namespace" attribute
`void` `xsetLocation(XmlAnyURI location)` Sets (as xml) the "location" attribute
`void` `xsetNamespace(XmlAnyURI namespace)` Sets (as xml) the "namespace" attribute

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<TImport> Factory

#### type

    static final SchemaType type

### Method Detail

#### getNamespace

    String getNamespace()

Gets the "namespace" attribute

#### xgetNamespace

    XmlAnyURI xgetNamespace()

Gets (as xml) the "namespace" attribute

#### setNamespace

    void setNamespace(String namespace)

Sets the "namespace" attribute

#### xsetNamespace

    void xsetNamespace(XmlAnyURI namespace)

Sets (as xml) the "namespace" attribute

#### getLocation

    String getLocation()

Gets the "location" attribute

#### xgetLocation

    XmlAnyURI xgetLocation()

Gets (as xml) the "location" attribute

#### setLocation

    void setLocation(String location)

Sets the "location" attribute

#### xsetLocation

    void xsetLocation(XmlAnyURI location)

Sets (as xml) the "location" attribute